export default function(){
	return Character;
}

/* alleen functies, objecten en variabelen */
class Character {
	constructor(naam){
		// Door set en get methode wordt nu set naam() aangeroepen!
		this.naam = naam;
		this.eigenschappen = eigenschappen;
	}

	// Aanroep van karakter.naam, wordt nu vervangen door getter!
	get naam(){
		return this._naam;
	}

	// Aanroep van karakter.naam=waarde wordt nu vervangen door setter!
	set naam(n){
		this._naam = n;
	}
}

let eigenschappen = {
	haarkleur: 'rood',
	hobby: 'cosplay'
}

export class Maps {
	constructor(id){
		this.id = id;
	}

	get id(){
		return this._id;
	}

	set id(nr){
		this._id = nr;
	}
}

